For the complete documentation index, see llms.txt. This page is also available as Markdown.

Accounts

Get Account by id.

get

Requires permission Account View.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
idstring · uuidOptional
parentAccountIdstring · uuid · nullableOptional
accountNumberstring · nullableOptional
accountTypestring · enumOptionalPossible values:
inactivebooleanOptional
invoiceDeliveryMethodstring · enumOptionalPossible values:
accountsReceivablestring · nullableOptional
currencyCodestring · nullableOptional
defaultPaymentTermstring · nullableOptional
domainstring · nullableOptional
electronicInvoiceAddressstring · nullableOptional
electronicInvoiceAddressSchemestring · nullableOptional

Electronic invoice scheme (EAS) code list. Read more on: https://docs.peppol.eu/poacc/billing/3.0/codelist/eas/

Example: 0007
imageUrlstring · nullableOptional
invoiceEmailAddressstring · nullableOptional
invoiceEmailCcAddressesstring · nullableOptional
reminderEmailAddressstring · nullableOptional
namestring · nullableOptional
organizationNumberstring · nullableOptional
ourReferencestring · nullableOptional
taxRegistrationNumberstring · nullableOptional
taxTemplatestring · nullableOptional
yourReferencestring · nullableOptional
invoiceTemplateIdstring · uuid · nullableOptional
invoiceBatchGroupIdstring · uuid · nullableOptional
invoiceSettingGroupIdstring · uuid · nullableOptional
disableInvoiceRemindersbooleanOptional
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
attachUBLToInvoicebooleanOptional
attachZugferdXMLToInvoicebooleanOptional
get/Accounts/{id}
GET /Accounts/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "parentAccountId": "123e4567-e89b-12d3-a456-426614174000",
  "accountNumber": "text",
  "accountType": "Customer",
  "inactive": true,
  "invoiceDeliveryMethod": "Email",
  "accountsReceivable": "text",
  "currencyCode": "text",
  "defaultPaymentTerm": "text",
  "domain": "text",
  "electronicInvoiceAddress": "text",
  "electronicInvoiceAddressScheme": "0007",
  "imageUrl": "text",
  "invoiceEmailAddress": "text",
  "invoiceEmailCcAddresses": "text",
  "reminderEmailAddress": "text",
  "name": "text",
  "organizationNumber": "text",
  "ourReference": "text",
  "taxRegistrationNumber": "text",
  "taxTemplate": "text",
  "yourReference": "text",
  "invoiceTemplateId": "123e4567-e89b-12d3-a456-426614174000",
  "invoiceBatchGroupId": "123e4567-e89b-12d3-a456-426614174000",
  "invoiceSettingGroupId": "123e4567-e89b-12d3-a456-426614174000",
  "disableInvoiceReminders": true,
  "defaultInvoiceAddress": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "description": "text",
    "name": "text",
    "street": "text",
    "street2": "text",
    "city": "text",
    "county": "text",
    "state": "text",
    "zip": "text",
    "country": "text"
  },
  "defaultDeliveryAddress": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "description": "text",
    "name": "text",
    "street": "text",
    "street2": "text",
    "city": "text",
    "county": "text",
    "state": "text",
    "zip": "text",
    "country": "text"
  },
  "addresses": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "description": "text",
      "name": "text",
      "street": "text",
      "street2": "text",
      "city": "text",
      "county": "text",
      "state": "text",
      "zip": "text",
      "country": "text"
    }
  ],
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "onlinePaymentDetails": {
    "created": "2026-01-01T00:00:00.000Z",
    "modified": "2026-01-01T00:00:00.000Z",
    "stripeCustomerId": "text",
    "stripePaymentMethodId": "text",
    "goCardLessCustomerId": "text",
    "goCardLessMandateId": "text",
    "goCardlessMandateStatus": "NoMandate"
  },
  "externalERPId": "text",
  "externalCRMId": "text",
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z",
  "attachUBLToInvoice": true,
  "attachZugferdXMLToInvoice": true,
  "cmrr": {
    "amount": 1,
    "currencyCode": "text",
    "currencyConversionDate": "2026-01-01T00:00:00.000Z",
    "baseCurrencyAmount": 1,
    "baseCurrencyCode": "text"
  },
  "acv": {
    "amount": 1,
    "currencyCode": "text",
    "currencyConversionDate": "2026-01-01T00:00:00.000Z",
    "baseCurrencyAmount": 1,
    "baseCurrencyCode": "text"
  },
  "emrr": {
    "amount": 1,
    "currencyCode": "text",
    "currencyConversionDate": "2026-01-01T00:00:00.000Z",
    "baseCurrencyAmount": 1,
    "baseCurrencyCode": "text"
  },
  "oneTimeFees": {
    "amount": 1,
    "currencyCode": "text",
    "currencyConversionDate": "2026-01-01T00:00:00.000Z",
    "baseCurrencyAmount": 1,
    "baseCurrencyCode": "text"
  },
  "tcv": {
    "amount": 1,
    "currencyCode": "text",
    "currencyConversionDate": "2026-01-01T00:00:00.000Z",
    "baseCurrencyAmount": 1,
    "baseCurrencyCode": "text"
  }
}

Edit Account

patch
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Body
namestring · nullableOptional
accountTypestring · enumOptionalPossible values:
ourReferencestring · nullableOptional
yourReferencestring · nullableOptional
invoiceEmailAddressstring · nullableOptional
reminderEmailAddressstring · nullableOptional
invoiceEmailCcAddressesstring · nullableOptional
invoiceDeliveryMethodstring · enumOptionalPossible values:
taxRegistrationNumberstring · nullableOptional
organizationNumberstring · nullableOptional
electronicInvoiceAddressstring · nullableOptional
electronicInvoiceAddressSchemestring · nullableOptional

Electronic invoice scheme (EAS) code list. Read more on: https://docs.peppol.eu/poacc/billing/3.0/codelist/eas/

Example: 0007
inactivebooleanOptional
imageUrlstring · nullableOptional
domainstring · nullableOptional
invoiceTemplateIdstring · uuid · nullableOptional
invoiceBatchGroupIdstring · uuid · nullableOptionalDeprecated
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
attachUBLToInvoicebooleanOptional
attachZugferdXMLToInvoicebooleanOptional
disableInvoiceRemindersbooleanOptional
Responses
200

Success

No content

patch/Accounts/{id}
PATCH /Accounts/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 1192

{
  "name": "text",
  "accountType": "Customer",
  "currency": "SEK",
  "ourReference": "text",
  "yourReference": "text",
  "invoiceEmailAddress": "text",
  "reminderEmailAddress": "text",
  "invoiceEmailCcAddresses": "text",
  "invoiceDeliveryMethod": "Email",
  "defaultPaymentTerm": "NET30",
  "taxRegistrationNumber": "text",
  "organizationNumber": "text",
  "electronicInvoiceAddress": "text",
  "electronicInvoiceAddressScheme": "0007",
  "inactive": true,
  "taxTemplate": "Sweden standard",
  "accountsReceivable": "1510",
  "imageUrl": "text",
  "domain": "text",
  "invoiceTemplateId": "123e4567-e89b-12d3-a456-426614174000",
  "invoiceBatchGroup": {
    "key": "text",
    "value": "text"
  },
  "invoiceSettingGroup": {
    "key": "text",
    "value": "text"
  },
  "defaultInvoiceAddress": {
    "description": "text",
    "name": "text",
    "street": "text",
    "street2": "text",
    "city": "text",
    "county": "text",
    "state": "text",
    "zip": "text",
    "country": "Sweden"
  },
  "defaultDeliveryAddress": {
    "description": "text",
    "name": "text",
    "street": "text",
    "street2": "text",
    "city": "text",
    "county": "text",
    "state": "text",
    "zip": "text",
    "country": "Sweden"
  },
  "externalERPId": "text",
  "externalCRMId": "text",
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "attachUBLToInvoice": true,
  "attachZugferdXMLToInvoice": true,
  "disableInvoiceReminders": true
}

No content

Create Account

post
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
namestring · min: 1Required
accountTypestring · enumOptionalPossible values:
ourReferencestring · nullableOptional
yourReferencestring · nullableOptional
invoiceEmailAddressstring · nullableOptional
invoiceEmailCcAddressesstring · nullableOptional
invoiceDeliveryMethodstring · enumOptionalPossible values:
taxRegistrationNumberstring · nullableOptional
organizationNumberstring · nullableOptional
electronicInvoiceAddressstring · nullableOptional
electronicInvoiceAddressSchemestring · nullableOptional

Electronic invoice scheme (EAS) code list. Read more on: https://docs.peppol.eu/poacc/billing/3.0/codelist/eas/

Example: 0007
inactivebooleanOptional
imageUrlstring · nullableOptional
domainstring · nullableOptional
invoiceTemplateIdstring · uuid · nullableOptional
invoiceBatchGroupIdstring · uuid · nullableOptionalDeprecated
reminderEmailAddressstring · nullableOptional
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
attachUBLToInvoiceboolean · nullableOptional
attachZugferdXMLToInvoiceboolean · nullableOptional
disableInvoiceRemindersboolean · nullableOptional
Responses
201

Created

No content

post/Accounts
POST /Accounts HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1192

{
  "name": "text",
  "accountType": "Customer",
  "currency": "SEK",
  "ourReference": "text",
  "yourReference": "text",
  "invoiceEmailAddress": "text",
  "invoiceEmailCcAddresses": "text",
  "invoiceDeliveryMethod": "Email",
  "defaultPaymentTerm": "NET30",
  "taxRegistrationNumber": "text",
  "organizationNumber": "text",
  "electronicInvoiceAddress": "text",
  "electronicInvoiceAddressScheme": "0007",
  "inactive": true,
  "taxTemplate": "Sweden standard",
  "accountsReceivable": "1510",
  "imageUrl": "text",
  "domain": "text",
  "invoiceTemplateId": "123e4567-e89b-12d3-a456-426614174000",
  "invoiceBatchGroup": {
    "key": "text",
    "value": "text"
  },
  "invoiceSettingGroup": {
    "key": "text",
    "value": "text"
  },
  "reminderEmailAddress": "text",
  "defaultInvoiceAddress": {
    "description": "text",
    "name": "text",
    "street": "text",
    "street2": "text",
    "city": "text",
    "county": "text",
    "state": "text",
    "zip": "text",
    "country": "Sweden"
  },
  "defaultDeliveryAddress": {
    "description": "text",
    "name": "text",
    "street": "text",
    "street2": "text",
    "city": "text",
    "county": "text",
    "state": "text",
    "zip": "text",
    "country": "Sweden"
  },
  "externalERPId": "text",
  "externalCRMId": "text",
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "attachUBLToInvoice": true,
  "attachZugferdXMLToInvoice": true,
  "disableInvoiceReminders": true
}

No content

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
Skipinteger · int32Optional

Skip number of records

Example: 10
Takeinteger · int32Optional

Take number of records

Example: 5
FilterstringOptional

Filter the resulsts. See ODATA documentation for more information

Example: name eq 'Adam' and age gt 20
SortstringOptional

Sorting the results. See ODATA specificaion for more information

Example: name
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
idstring · uuidOptional
parentAccountIdstring · uuid · nullableOptional
accountNumberstring · nullableOptional
accountTypestring · enumOptionalPossible values:
inactivebooleanOptional
invoiceDeliveryMethodstring · enumOptionalPossible values:
accountsReceivablestring · nullableOptional
currencyCodestring · nullableOptional
defaultPaymentTermstring · nullableOptional
domainstring · nullableOptional
electronicInvoiceAddressstring · nullableOptional
electronicInvoiceAddressSchemestring · nullableOptional

Electronic invoice scheme (EAS) code list. Read more on: https://docs.peppol.eu/poacc/billing/3.0/codelist/eas/

Example: 0007
imageUrlstring · nullableOptional
invoiceEmailAddressstring · nullableOptional
invoiceEmailCcAddressesstring · nullableOptional
reminderEmailAddressstring · nullableOptional
namestring · nullableOptional
organizationNumberstring · nullableOptional
ourReferencestring · nullableOptional
taxRegistrationNumberstring · nullableOptional
taxTemplatestring · nullableOptional
yourReferencestring · nullableOptional
invoiceTemplateIdstring · uuid · nullableOptional
invoiceBatchGroupIdstring · uuid · nullableOptional
invoiceSettingGroupIdstring · uuid · nullableOptional
disableInvoiceRemindersbooleanOptional
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
attachUBLToInvoicebooleanOptional
attachZugferdXMLToInvoicebooleanOptional
get/Accounts
GET /Accounts HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "parentAccountId": "123e4567-e89b-12d3-a456-426614174000",
    "accountNumber": "text",
    "accountType": "Customer",
    "inactive": true,
    "invoiceDeliveryMethod": "Email",
    "accountsReceivable": "text",
    "currencyCode": "text",
    "defaultPaymentTerm": "text",
    "domain": "text",
    "electronicInvoiceAddress": "text",
    "electronicInvoiceAddressScheme": "0007",
    "imageUrl": "text",
    "invoiceEmailAddress": "text",
    "invoiceEmailCcAddresses": "text",
    "reminderEmailAddress": "text",
    "name": "text",
    "organizationNumber": "text",
    "ourReference": "text",
    "taxRegistrationNumber": "text",
    "taxTemplate": "text",
    "yourReference": "text",
    "invoiceTemplateId": "123e4567-e89b-12d3-a456-426614174000",
    "invoiceBatchGroupId": "123e4567-e89b-12d3-a456-426614174000",
    "invoiceSettingGroupId": "123e4567-e89b-12d3-a456-426614174000",
    "disableInvoiceReminders": true,
    "defaultInvoiceAddress": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "description": "text",
      "name": "text",
      "street": "text",
      "street2": "text",
      "city": "text",
      "county": "text",
      "state": "text",
      "zip": "text",
      "country": "text"
    },
    "defaultDeliveryAddress": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "description": "text",
      "name": "text",
      "street": "text",
      "street2": "text",
      "city": "text",
      "county": "text",
      "state": "text",
      "zip": "text",
      "country": "text"
    },
    "addresses": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "description": "text",
        "name": "text",
        "street": "text",
        "street2": "text",
        "city": "text",
        "county": "text",
        "state": "text",
        "zip": "text",
        "country": "text"
      }
    ],
    "customFields": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "onlinePaymentDetails": {
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z",
      "stripeCustomerId": "text",
      "stripePaymentMethodId": "text",
      "goCardLessCustomerId": "text",
      "goCardLessMandateId": "text",
      "goCardlessMandateStatus": "NoMandate"
    },
    "externalERPId": "text",
    "externalCRMId": "text",
    "created": "2026-01-01T00:00:00.000Z",
    "modified": "2026-01-01T00:00:00.000Z",
    "attachUBLToInvoice": true,
    "attachZugferdXMLToInvoice": true,
    "cmrr": {
      "amount": 1,
      "currencyCode": "text",
      "currencyConversionDate": "2026-01-01T00:00:00.000Z",
      "baseCurrencyAmount": 1,
      "baseCurrencyCode": "text"
    },
    "acv": {
      "amount": 1,
      "currencyCode": "text",
      "currencyConversionDate": "2026-01-01T00:00:00.000Z",
      "baseCurrencyAmount": 1,
      "baseCurrencyCode": "text"
    },
    "emrr": {
      "amount": 1,
      "currencyCode": "text",
      "currencyConversionDate": "2026-01-01T00:00:00.000Z",
      "baseCurrencyAmount": 1,
      "baseCurrencyCode": "text"
    },
    "oneTimeFees": {
      "amount": 1,
      "currencyCode": "text",
      "currencyConversionDate": "2026-01-01T00:00:00.000Z",
      "baseCurrencyAmount": 1,
      "baseCurrencyCode": "text"
    },
    "tcv": {
      "amount": 1,
      "currencyCode": "text",
      "currencyConversionDate": "2026-01-01T00:00:00.000Z",
      "baseCurrencyAmount": 1,
      "baseCurrencyCode": "text"
    }
  }
]

Create OnlinePaymentDetails for Account

post
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
stripeCustomerIdstring · nullableOptional
stripePaymentMethodIdstring · nullableOptional
goCardLessCustomerIdstring · nullableOptional
goCardLessMandateIdstring · nullableOptional
Responses
201

The OnlineDetailsPayment for the request.

No content

post/Accounts/OnlinePaymentDetails/{id}
POST /Accounts/OnlinePaymentDetails/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 117

{
  "stripeCustomerId": "text",
  "stripePaymentMethodId": "text",
  "goCardLessCustomerId": "text",
  "goCardLessMandateId": "text"
}

No content

Edit OnlinePaymentDetails on Account

patch
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Body
stripeCustomerIdstring · nullableOptional
stripePaymentMethodIdstring · nullableOptional
goCardLessCustomerIdstring · nullableOptional
goCardLessMandateIdstring · nullableOptional
Responses
204

No Content

No content

patch/Accounts/OnlinePaymentDetails/{id}
PATCH /Accounts/OnlinePaymentDetails/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 117

{
  "stripeCustomerId": "text",
  "stripePaymentMethodId": "text",
  "goCardLessCustomerId": "text",
  "goCardLessMandateId": "text"
}

No content

Delete OnlinePaymentDetails on Account

delete
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

No content

delete/Accounts/OnlinePaymentDetails/{id}
DELETE /Accounts/OnlinePaymentDetails/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Request payment details for Go cardless.

post
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired

Account id

Header parameters
api-versionstringOptional
Body
mandateStatusstring · enumOptionalPossible values:
reInstatebooleanOptional
Responses
200

Success

application/json
string · enumOptionalPossible values:
post/Accounts/{id}/RequestPaymentDetails/GoCardless
POST /Accounts/{id}/RequestPaymentDetails/GoCardless HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46

{
  "mandateStatus": "NoMandate",
  "reInstate": true
}
NoMandate

Delete Account

delete
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
accountIdstring · uuidRequired

The identifier of the account

Header parameters
api-versionstringOptional
Responses
200

Success

No content

delete/Accounts/{accountId}
DELETE /Accounts/{accountId} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Get Account subscriptions.

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-07-01
ModifiedBeforestring · date-timeOptional

Filter is also applied on sub entities: 'orderProducts', 'orderCharges', 'chargeDetails', 'orderDiscounts', 'milestones' and 'customFields' on these entities

Example: 2026-07-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Accounts/{id}/Subscriptions
GET /Accounts/{id}/Subscriptions HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "orderNumber": "text",
      "version": 1,
      "isLastVersion": true,
      "status": "Draft",
      "description": "text",
      "remarks": "text",
      "effectiveStartDate": "2026-01-01T00:00:00.000Z",
      "effectiveEndDate": "2026-01-01T00:00:00.000Z",
      "cancellationDate": "2026-01-01T00:00:00.000Z",
      "effectiveChangeDate": "2026-01-01T00:00:00.000Z",
      "orderDate": "2026-01-01T00:00:00.000Z",
      "noticePeriodDate": "2026-01-01T00:00:00.000Z",
      "lastRenewalDate": "2026-01-01T00:00:00.000Z",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z",
      "lastUpdated": "2024-07-01",
      "noticePeriod": 1,
      "term": 1,
      "renewalTerm": 1,
      "isAutoRenewed": true,
      "orderType": "Subscription",
      "termType": "Termed",
      "orderPaymentMethod": "Invoice",
      "invoiceSeparatly": true,
      "yourReference": "text",
      "ourReference": "text",
      "yourOrderNumber": "text",
      "buyerReference": "text",
      "invoiceAddress": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "description": "text",
        "name": "text",
        "street": "text",
        "street2": "text",
        "city": "text",
        "county": "text",
        "state": "text",
        "zip": "text",
        "country": "text"
      },
      "deliveryAddress": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "description": "text",
        "name": "text",
        "street": "text",
        "street2": "text",
        "city": "text",
        "county": "text",
        "state": "text",
        "zip": "text",
        "country": "text"
      },
      "orderBillingPeriod": "Monthly",
      "setOrderBillingPeriod": true,
      "invoiceBatchGroup": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "description": "text"
      },
      "paymentTerm": "text",
      "useAccountInvoiceBatchGroup": true,
      "account": {
        "name": "text",
        "accountNumber": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "invoiceAccount": {
        "name": "text",
        "accountNumber": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "products": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "productNumber": "text",
          "chargePlanId": "123e4567-e89b-12d3-a456-426614174000",
          "chargePlanName": "text",
          "chargePlanNumber": "text",
          "productLineNumber": 1,
          "name": "text",
          "charges": [
            {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "chargeNumber": "OPC-000001",
              "version": 1,
              "isLastVersion": true,
              "name": "text",
              "chargeType": "OneOff",
              "priceModel": "Flat",
              "effectiveStartDate": "2026-01-01T00:00:00.000Z",
              "effectiveEndDate": "2026-01-01T00:00:00.000Z",
              "quantity": 1,
              "unitCode": "text",
              "startOn": "AlignToSubscription",
              "endOn": "AlignToSubscription",
              "chargedThroughDate": "2026-01-01T00:00:00.000Z",
              "lastRenewalDate": "2026-01-01T00:00:00.000Z",
              "lastPriceAdjustmentDate": "2026-01-01T00:00:00.000Z",
              "pricePeriod": "Monthly",
              "usageRating": "Sum",
              "revenueRecognitionRule": "text",
              "billingDay": "None",
              "specificBillingDay": 1,
              "offsetBillingDays": 1,
              "billingPeriod": "Monthly",
              "billingTiming": "InAdvance",
              "periodAlignment": "None",
              "alignmentDate": "2026-01-01T00:00:00.000Z",
              "taxTemplate": "text",
              "taxIncluded": true,
              "createInvoiceLinesPerTier": true,
              "estimatedUsage": 1,
              "estimatedQuantity": 1,
              "remainingQuantity": 1,
              "orderedQuantity": 1,
              "deliveryDate": "2026-01-01T00:00:00.000Z",
              "remarks": "text",
              "accountsReceivableAccount": "text",
              "deferredRevenueAccount": "text",
              "recognizedRevenueAccount": "text",
              "changeState": "NotChanged",
              "displayPrice": 1,
              "customFields": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "priceDetails": [
                {
                  "tier": 1,
                  "price": 1,
                  "listPrice": 1,
                  "description": "text",
                  "fromQuantity": 1,
                  "toQuantity": 1,
                  "priceBase": "Flat",
                  "lineDiscountPercent": 1,
                  "lineDiscountAmount": 1
                }
              ],
              "recurringMonthlyAmount": 1,
              "recurringMonthlyAmountBase": 1,
              "features": [
                {
                  "code": "text",
                  "description": "text"
                }
              ],
              "orderDiscounts": [
                {
                  "orderDiscountId": "123e4567-e89b-12d3-a456-426614174000",
                  "chargeId": "123e4567-e89b-12d3-a456-426614174000"
                }
              ],
              "externalERPId": "text",
              "externalCRMId": "text",
              "cmrr": {
                "amount": 1,
                "currencyCode": "text",
                "currencyConversionDate": "2026-01-01T00:00:00.000Z",
                "baseCurrencyAmount": 1,
                "baseCurrencyCode": "text"
              },
              "acv": {
                "amount": 1,
                "currencyCode": "text",
                "currencyConversionDate": "2026-01-01T00:00:00.000Z",
                "baseCurrencyAmount": 1,
                "baseCurrencyCode": "text"
              },
              "tcv": {
                "amount": 1,
                "currencyCode": "text",
                "currencyConversionDate": "2026-01-01T00:00:00.000Z",
                "baseCurrencyAmount": 1,
                "baseCurrencyCode": "text"
              },
              "emrr": {
                "amount": 1,
                "currencyCode": "text",
                "currencyConversionDate": "2026-01-01T00:00:00.000Z",
                "baseCurrencyAmount": 1,
                "baseCurrencyCode": "text"
              },
              "oneTimeFees": {
                "amount": 1,
                "currencyCode": "text",
                "currencyConversionDate": "2026-01-01T00:00:00.000Z",
                "baseCurrencyAmount": 1,
                "baseCurrencyCode": "text"
              },
              "price": 1,
              "listPrice": 1,
              "discountAmount": 1,
              "discountPercentage": 1,
              "totalPrice": 1,
              "totalListPrice": 1,
              "totalDiscountAmount": 1,
              "totalDiscountPercentage": 1,
              "totalPerInvoice": 1,
              "orderProductId": "123e4567-e89b-12d3-a456-426614174000",
              "orderId": "123e4567-e89b-12d3-a456-426614174000",
              "chargeId": "123e4567-e89b-12d3-a456-426614174000",
              "created": "2026-01-01T00:00:00.000Z",
              "modified": "2026-01-01T00:00:00.000Z"
            }
          ],
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "externalERPId": "text",
          "externalCRMId": "text",
          "cmrr": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "acv": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "emrr": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "oneTimeFees": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "tcv": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "created": "2026-01-01T00:00:00.000Z",
          "modified": "2026-01-01T00:00:00.000Z"
        }
      ],
      "milestones": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "orderId": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "description": "text",
          "milestoneDate": "2026-01-01T00:00:00.000Z",
          "plannedDate": "2026-01-01T00:00:00.000Z"
        }
      ],
      "orderDiscounts": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "orderId": "123e4567-e89b-12d3-a456-426614174000",
          "startOn": "AlignToOrder",
          "endOn": "AlignToOrder",
          "startDate": "2026-01-01T00:00:00.000Z",
          "endDate": "2026-01-01T00:00:00.000Z",
          "percent": 1,
          "discountType": "Percent",
          "description": "text",
          "orderProductCharges": [
            {
              "orderDiscountId": "123e4567-e89b-12d3-a456-426614174000",
              "chargeId": "123e4567-e89b-12d3-a456-426614174000"
            }
          ],
          "onSpecificCharges": true
        }
      ],
      "currency": "text",
      "externalERPId": "text",
      "externalCRMId": "text",
      "currencyCodeToUseWhenInvoice": "text",
      "customFields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "cmrr": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "acv": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "emrr": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "oneTimeFees": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      },
      "tcv": {
        "amount": 1,
        "currencyCode": "text",
        "currencyConversionDate": "2026-01-01T00:00:00.000Z",
        "baseCurrencyAmount": 1,
        "baseCurrencyCode": "text"
      }
    }
  ]
}

Get Account invoices.

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired

Account id

Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-07-01
ModifiedBeforestring · date-timeOptional

Filter is also applied on sub entities: 'invoiceLines' and 'customFields' on these entities

Example: 2026-07-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
mappedResponseFlagbooleanOptionalDefault: false
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Accounts/{id}/Invoices
GET /Accounts/{id}/Invoices HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceNumber": "text",
      "status": "Draft",
      "account": {
        "name": "text",
        "accountNumber": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "notes": "text",
      "invoiceDate": "2026-01-01T00:00:00.000Z",
      "dueDate": "2026-01-01T00:00:00.000Z",
      "paymentDate": "2026-01-01T00:00:00.000Z",
      "lastPaymentDate": "2026-01-01T00:00:00.000Z",
      "daysPastDue": 1,
      "nrOfReminders": 1,
      "paymentTerm": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "days": 1,
        "name": "text"
      },
      "currency": "text",
      "subtotal": 1,
      "subtotalBaseAmount": 1,
      "tax": 1,
      "taxBaseAmount": 1,
      "totalAmount": 1,
      "totalBaseAmount": 1,
      "totalRoundingAmount": 1,
      "totalRoundingBaseAmount": 1,
      "settledAmount": 1,
      "settledBaseAmount": 1,
      "balancedAmount": 1,
      "balancedBaseAmount": 1,
      "taxIncluded": true,
      "invoiceAddress": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "description": "text",
        "name": "text",
        "street": "text",
        "street2": "text",
        "city": "text",
        "county": "text",
        "state": "text",
        "zip": "text",
        "country": "text"
      },
      "deliveryAddress": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "description": "text",
        "name": "text",
        "street": "text",
        "street2": "text",
        "city": "text",
        "county": "text",
        "state": "text",
        "zip": "text",
        "country": "text"
      },
      "invoiceBatchId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceLines": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "invoiceId": "123e4567-e89b-12d3-a456-426614174000",
          "invoiceLineNumber": 1,
          "productNumber": "text",
          "productName": "text",
          "chargeDescription": "text",
          "chargeNumber": "text",
          "charge": {
            "name": "text",
            "chargeNumber": "OPC-000001",
            "description": "text",
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "externalERPId": "text",
            "externalCRMId": "text"
          },
          "quantity": 1,
          "unitOfMeasure": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "unitCode": "text",
            "name": "text",
            "displayName": "text"
          },
          "price": 1,
          "subtotal": 1,
          "subtotalBaseAmount": 1,
          "total": 1,
          "totalBaseAmount": 1,
          "tax": 1,
          "taxBaseAmount": 1,
          "subtotalPreDiscount": 1,
          "subtotalPreDiscountBaseAmount": 1,
          "totalPreDiscount": 1,
          "totalPreDiscountBaseAmount": 1,
          "taxPreDiscount": 1,
          "taxPreDiscountBaseAmount": 1,
          "exchangeRate": 1,
          "servicePeriodStartDate": "2026-01-01T00:00:00.000Z",
          "servicePeriodEndDate": "2026-01-01T00:00:00.000Z",
          "notes": "text",
          "orderChargeId": "123e4567-e89b-12d3-a456-426614174000",
          "orderId": "123e4567-e89b-12d3-a456-426614174000",
          "accountId": "123e4567-e89b-12d3-a456-426614174000",
          "chargePlanId": "123e4567-e89b-12d3-a456-426614174000",
          "orderProductId": "123e4567-e89b-12d3-a456-426614174000",
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "accountsReceivable": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "code": "text",
            "name": "text",
            "description": "text",
            "externalERPId": "text",
            "externalCRMId": "text"
          },
          "deferredRevenue": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "code": "text",
            "name": "text",
            "description": "text",
            "externalERPId": "text",
            "externalCRMId": "text"
          },
          "recognizedRevenue": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "code": "text",
            "name": "text",
            "description": "text",
            "externalERPId": "text",
            "externalCRMId": "text"
          },
          "externalERPId": "text",
          "externalCRMId": "text",
          "created": "2026-01-01T00:00:00.000Z",
          "modified": "2026-01-01T00:00:00.000Z",
          "taxCategoryName": "text",
          "taxRate": 1
        }
      ],
      "latestOnlinePaymentLogs": [
        {
          "failedPayment": true,
          "paymentDescription": "text",
          "timeStamp": "2026-01-01T00:00:00.000Z",
          "payoutId": "text",
          "isPayout": true,
          "paymentIntentId": "text"
        }
      ],
      "onlinePaymentStatus": "None",
      "yourReference": "text",
      "ourReference": "text",
      "yourOrderNumber": "text",
      "buyerReference": "text",
      "invoiceType": "Invoice",
      "ocrNumber": "text",
      "sendMethod": "text",
      "exchangeRate": 1,
      "settledNotes": "text",
      "invoiceDeliveryMethod": "Email",
      "paymentMethodForInvoice": "Invoice",
      "invoiceTemplateId": "123e4567-e89b-12d3-a456-426614174000",
      "disableAutomaticInvoiceReminder": true,
      "onlinePaymentLink": "text",
      "accountsReceivable": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "name": "text",
        "description": "text",
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "customFields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "externalERPId": "text",
      "externalCRMId": "text",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get Account SalesOrders.

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-07-01
ModifiedBeforestring · date-timeOptional

Filter is also applied on sub entities: 'orderProducts', 'orderCharges', 'chargeDetails', 'orderDiscounts', 'milestones' and 'customFields' on these entities

Example: 2026-07-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Accounts/{id}/SalesOrders
GET /Accounts/{id}/SalesOrders HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "orderNumber": "text",
      "version": 1,
      "isLastVersion": true,
      "status": "Draft",
      "description": "text",
      "remarks": "text",
      "orderDate": "2026-01-01T00:00:00.000Z",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z",
      "lastUpdated": "2026-01-01T00:00:00.000Z",
      "orderType": "Subscription",
      "invoiceSeparatly": true,
      "yourReference": "text",
      "ourReference": "text",
      "yourOrderNumber": "text",
      "buyerReference": "text",
      "invoiceAddress": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "description": "text",
        "name": "text",
        "street": "text",
        "street2": "text",
        "city": "text",
        "county": "text",
        "state": "text",
        "zip": "text",
        "country": "text"
      },
      "deliveryAddress": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "description": "text",
        "name": "text",
        "street": "text",
        "street2": "text",
        "city": "text",
        "county": "text",
        "state": "text",
        "zip": "text",
        "country": "text"
      },
      "paymentTerm": "text",
      "orderPaymentMethod": "Invoice",
      "invoiceBatchGroup": "text",
      "useAccountInvoiceBatchGroup": true,
      "account": {
        "name": "text",
        "accountNumber": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "invoiceAccount": {
        "name": "text",
        "accountNumber": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "currency": "text",
      "accountsReceivableAccount": "text",
      "externalERPId": "text",
      "externalCRMId": "text",
      "products": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "productNumber": "text",
          "chargePlanId": "123e4567-e89b-12d3-a456-426614174000",
          "chargePlanName": "text",
          "chargePlanNumber": "text",
          "productLineNumber": 1,
          "name": "text",
          "charges": [
            {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "chargeNumber": "OPC-000001",
              "version": 1,
              "isLastVersion": true,
              "name": "text",
              "chargeType": "OneOff",
              "priceModel": "Flat",
              "effectiveStartDate": "2026-01-01T00:00:00.000Z",
              "effectiveEndDate": "2026-01-01T00:00:00.000Z",
              "quantity": 1,
              "unitCode": "text",
              "startOn": "AlignToSubscription",
              "endOn": "AlignToSubscription",
              "chargedThroughDate": "2026-01-01T00:00:00.000Z",
              "lastRenewalDate": "2026-01-01T00:00:00.000Z",
              "lastPriceAdjustmentDate": "2026-01-01T00:00:00.000Z",
              "pricePeriod": "Monthly",
              "usageRating": "Sum",
              "revenueRecognitionRule": "text",
              "billingDay": "None",
              "specificBillingDay": 1,
              "offsetBillingDays": 1,
              "billingPeriod": "Monthly",
              "billingTiming": "InAdvance",
              "periodAlignment": "None",
              "alignmentDate": "2026-01-01T00:00:00.000Z",
              "taxTemplate": "text",
              "taxIncluded": true,
              "createInvoiceLinesPerTier": true,
              "estimatedUsage": 1,
              "estimatedQuantity": 1,
              "remainingQuantity": 1,
              "orderedQuantity": 1,
              "deliveryDate": "2026-01-01T00:00:00.000Z",
              "remarks": "text",
              "accountsReceivableAccount": "text",
              "deferredRevenueAccount": "text",
              "recognizedRevenueAccount": "text",
              "changeState": "NotChanged",
              "displayPrice": 1,
              "customFields": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "priceDetails": [
                {
                  "tier": 1,
                  "price": 1,
                  "listPrice": 1,
                  "description": "text",
                  "fromQuantity": 1,
                  "toQuantity": 1,
                  "priceBase": "Flat",
                  "lineDiscountPercent": 1,
                  "lineDiscountAmount": 1
                }
              ],
              "recurringMonthlyAmount": 1,
              "recurringMonthlyAmountBase": 1,
              "features": [
                {
                  "code": "text",
                  "description": "text"
                }
              ],
              "orderDiscounts": [
                {
                  "orderDiscountId": "123e4567-e89b-12d3-a456-426614174000",
                  "chargeId": "123e4567-e89b-12d3-a456-426614174000"
                }
              ],
              "externalERPId": "text",
              "externalCRMId": "text",
              "cmrr": {
                "amount": 1,
                "currencyCode": "text",
                "currencyConversionDate": "2026-01-01T00:00:00.000Z",
                "baseCurrencyAmount": 1,
                "baseCurrencyCode": "text"
              },
              "acv": {
                "amount": 1,
                "currencyCode": "text",
                "currencyConversionDate": "2026-01-01T00:00:00.000Z",
                "baseCurrencyAmount": 1,
                "baseCurrencyCode": "text"
              },
              "tcv": {
                "amount": 1,
                "currencyCode": "text",
                "currencyConversionDate": "2026-01-01T00:00:00.000Z",
                "baseCurrencyAmount": 1,
                "baseCurrencyCode": "text"
              },
              "emrr": {
                "amount": 1,
                "currencyCode": "text",
                "currencyConversionDate": "2026-01-01T00:00:00.000Z",
                "baseCurrencyAmount": 1,
                "baseCurrencyCode": "text"
              },
              "oneTimeFees": {
                "amount": 1,
                "currencyCode": "text",
                "currencyConversionDate": "2026-01-01T00:00:00.000Z",
                "baseCurrencyAmount": 1,
                "baseCurrencyCode": "text"
              },
              "price": 1,
              "listPrice": 1,
              "discountAmount": 1,
              "discountPercentage": 1,
              "totalPrice": 1,
              "totalListPrice": 1,
              "totalDiscountAmount": 1,
              "totalDiscountPercentage": 1,
              "totalPerInvoice": 1,
              "orderProductId": "123e4567-e89b-12d3-a456-426614174000",
              "orderId": "123e4567-e89b-12d3-a456-426614174000",
              "chargeId": "123e4567-e89b-12d3-a456-426614174000",
              "created": "2026-01-01T00:00:00.000Z",
              "modified": "2026-01-01T00:00:00.000Z"
            }
          ],
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "externalERPId": "text",
          "externalCRMId": "text",
          "cmrr": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "acv": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "emrr": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "oneTimeFees": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "tcv": {
            "amount": 1,
            "currencyCode": "text",
            "currencyConversionDate": "2026-01-01T00:00:00.000Z",
            "baseCurrencyAmount": 1,
            "baseCurrencyCode": "text"
          },
          "created": "2026-01-01T00:00:00.000Z",
          "modified": "2026-01-01T00:00:00.000Z"
        }
      ],
      "milestones": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "orderId": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "description": "text",
          "milestoneDate": "2026-01-01T00:00:00.000Z",
          "plannedDate": "2026-01-01T00:00:00.000Z"
        }
      ],
      "orderDiscounts": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "orderId": "123e4567-e89b-12d3-a456-426614174000",
          "startOn": "AlignToOrder",
          "endOn": "AlignToOrder",
          "startDate": "2026-01-01T00:00:00.000Z",
          "endDate": "2026-01-01T00:00:00.000Z",
          "percent": 1,
          "discountType": "Percent",
          "description": "text",
          "orderProductCharges": [
            {
              "orderDiscountId": "123e4567-e89b-12d3-a456-426614174000",
              "chargeId": "123e4567-e89b-12d3-a456-426614174000"
            }
          ],
          "onSpecificCharges": true
        }
      ],
      "customFields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "invoicingCurrency": "text"
    }
  ]
}

Get Summery and invoicing metrics for account.

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
lastInvoicedstring · date-time · nullableOptional
namestring · nullableOptional
accountNumberstring · nullableOptional
idstring · uuidOptional
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
get/Accounts/{id}/Summary
GET /Accounts/{id}/Summary HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "cmrr": {
    "amount": 1,
    "currencyCode": "text",
    "currencyConversionDate": "2026-01-01T00:00:00.000Z",
    "baseCurrencyAmount": 1,
    "baseCurrencyCode": "text"
  },
  "acv": {
    "amount": 1,
    "currencyCode": "text",
    "currencyConversionDate": "2026-01-01T00:00:00.000Z",
    "baseCurrencyAmount": 1,
    "baseCurrencyCode": "text"
  },
  "emrr": {
    "amount": 1,
    "currencyCode": "text",
    "currencyConversionDate": "2026-01-01T00:00:00.000Z",
    "baseCurrencyAmount": 1,
    "baseCurrencyCode": "text"
  },
  "oneTimeFees": {
    "amount": 1,
    "currencyCode": "text",
    "currencyConversionDate": "2026-01-01T00:00:00.000Z",
    "baseCurrencyAmount": 1,
    "baseCurrencyCode": "text"
  },
  "tcv": {
    "amount": 1,
    "currencyCode": "text",
    "currencyConversionDate": "2026-01-01T00:00:00.000Z",
    "baseCurrencyAmount": 1,
    "baseCurrencyCode": "text"
  },
  "accountBalance": {
    "amount": 1,
    "currencyCode": "text",
    "currencyConversionDate": "2026-01-01T00:00:00.000Z",
    "baseCurrencyAmount": 1,
    "baseCurrencyCode": "text"
  },
  "lastInvoiced": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "accountNumber": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "externalERPId": "text",
  "externalCRMId": "text"
}

Last updated